## UfoLocalScheduler

UfoLocalScheduler — Schedule each task independently

## Functions

UfoBaseScheduler * | ufo_local_scheduler_new ()
GQuark | ufo_local_scheduler_error_quark ()

## Types and Values

#define | UFO_LOCAL_SCHEDULER_ERROR
enum | UfoLocalSchedulerError
struct | UfoLocalScheduler
struct | UfoLocalSchedulerClass

## Object Hierarchy

        GObject
        ╰── UfoBaseScheduler
            ╰── UfoLocalScheduler

## Implemented Interfaces

UfoLocalScheduler implements GInitable.

## Description

This scheduler schedules each task autonomously without taking relations between tasks into account. It is not recommended to use this scheduler in production.

## Functions

### ufo_local_scheduler_new ()

    UfoBaseScheduler *
    ufo_local_scheduler_new (void);

Creates a new UfoLocalScheduler.

#### Returns

A new UfoLocalScheduler

### ufo_local_scheduler_error_quark ()

    GQuark
    ufo_local_scheduler_error_quark (void);

## Types and Values

### UFO_LOCAL_SCHEDULER_ERROR

    #define UFO_LOCAL_SCHEDULER_ERROR            ufo_local_scheduler_error_quark()

### enum UfoLocalSchedulerError

#### Members

UFO_LOCAL_SCHEDULER_ERROR_SETUP | Could not start scheduler due to error |

### struct UfoLocalScheduler

    struct UfoLocalScheduler;

The base class scheduler is responsible of assigning command queues to filters (thus managing GPU device resources) and decide if to run a GPU or a CPU. The actual schedule planning can be overriden.

### struct UfoLocalSchedulerClass

    struct UfoLocalSchedulerClass {
    };

UfoLocalScheduler class